import { EventEmitter, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class GeoSelectComponentClass implements OnInit {
    private formBuilder;
    isDisabled: boolean;
    countries: any;
    states: any;
    cities: any;
    initial: any;
    chousenGeo: EventEmitter<any>;
    newTargets: EventEmitter<any>;
    geoForm: FormGroup;
    targets: any[];
    private countriesMap;
    constructor(formBuilder: FormBuilder);
    addTarget(ruleStr: any): boolean;
    removeTarget(index: any): void;
    clearTargets(): void;
    emitTargets(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GeoSelectComponentClass, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GeoSelectComponentClass, "epom-popup-geo", never, { "isDisabled": "isDisabled"; "countries": "countriesStream"; "states": "statesStream"; "cities": "citiesStream"; "initial": "initialValues"; }, { "chousenGeo": "chousenGeo"; "newTargets": "newTargets"; }, never, never, false>;
}
